Date: Sat, 8 Aug 1998 00:49:12 -0500
From: Chris Lawrence <quango@ix.netcom.com>
To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
Subject: L68K: IDE diff for 2.1.115
Mail-Followup-To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
Organization: Kathie Lee's Sweatshops
X-Operating-System: Linux/m68k 2.1.108
Sender: owner-linux-m68k@phil.uni-sb.de

The following patch should fix IDE compilation on 2.1.115.


Chris
-- 
=============================================================================
|         Chris Lawrence        |      The truth really is out there...     |
|      <lawrencc@clark.net>     |        http://www.memphiswatch.org/       |
|                               |                                           |
|    B.A., Political Science    |    Are you tired of politics as usual?    |
|     University of Memphis     |             http://www.lp.org/            |
=============================================================================

--- clean-linux-2.1.115/drivers/block/Makefile	Fri Aug  7 11:03:36 1998
+++ linux-2.1.115/drivers/block/Makefile	Sat Aug  8 00:37:03 1998
@@ -148,23 +148,6 @@
 L_OBJS += hd.o
 endif
 
-ifeq ($(CONFIG_BLK_DEV_IDE),y)
-  LX_OBJS += ide.o
-  ifeq ($(CONFIG_PROC_FS),y)
-    L_OBJS += ide-proc.o
-  endif
-  L_OBJS += ide-probe.o
-else
-  ifeq ($(CONFIG_BLK_DEV_IDE),m)
-  MIX_OBJS += ide.o
-  ifeq ($(CONFIG_PROC_FS),y)
-    M_OBJS += ide-proc.o
-  endif
-  M_OBJS += ide-mod.o
-  MX_OBJS += ide-probe.o
-  endif
-endif
-
 ifeq ($(CONFIG_BLK_DEV_RZ1000),y)
 IDE_OBJS += rz1000.o
 endif
@@ -235,6 +218,23 @@
 
 ifeq ($(CONFIG_BLK_DEV_BUDDHA),y)
 IDE_OBJS += buddha.o
+endif
+
+ifeq ($(CONFIG_BLK_DEV_IDE),y)
+  LX_OBJS += ide.o
+  ifeq ($(CONFIG_PROC_FS),y)
+    L_OBJS += ide-proc.o
+  endif
+  L_OBJS += ide-probe.o $(IDE_OBJS)
+else
+  ifeq ($(CONFIG_BLK_DEV_IDE),m)
+  MIX_OBJS += ide.o $(IDE_OBJS)
+  ifeq ($(CONFIG_PROC_FS),y)
+    M_OBJS += ide-proc.o
+  endif
+  M_OBJS += ide-mod.o
+  MX_OBJS += ide-probe.o
+  endif
 endif
 
 ifeq ($(CONFIG_BLK_DEV_CMD646),y)
